#Module-Specific definitions
%define mod_name mod_security2
%define mod_conf 82_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Mod_security is a DSO module for the apache web server
Name:		apache-%{mod_name}
Version:	2.1.0
Release:	%mkrel 2
Group:		System/Servers
License:	GPL
URL:		http://www.modsecurity.org/
Source0:	http://www.modsecurity.org/download/modsecurity-apache_%{version}.tar.gz
Source1:	http://www.modsecurity.org/download/modsecurity-apache_%{version}.tar.gz.asc
Source3:	%{mod_conf}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.4
Requires(pre):	apache >= 2.2.4
Requires:	apache-conf >= 2.2.4
Requires:	apache >= 2.2.4
Requires:	apache-mod_unique_id >= 2.2.4
BuildRequires:	apache-devel >= 2.2.4
BuildRequires:	file
BuildRequires:	libxml2-devel
Conflicts:	apache-mod_security
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
ModSecurity is an open source intrustion detection and prevention engine for
web applications. It operates embedded into the web server, acting as a
powerful umbrella - shielding applications from attacks.

%prep

%setup -q -n modsecurity-apache_%{version}

cp %{SOURCE3} %{mod_conf}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%make -C apache2 \
    top_dir="%{_libdir}/apache" \
    INCLUDES="-I%{_includedir}/libxml2" \
    DEFS="-DWITH_LIBXML2 -DWITH_PCRE_STUDY" \
    CFLAGS="-Wl,-lxml2"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 apache2/.libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES LICENSE README.TXT modsecurity.conf-minimal doc/* apache2/api
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-2mdv2007.1
+ Revision: 140746
- rebuild

* Tue Feb 27 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-1mdv2007.1
+ Revision: 126703
- 2.1.0

* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.4-1mdv2007.1
+ Revision: 85353
- 2.0.4

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.3-1mdv2007.1
+ Revision: 79684
- 2.0.3
- fix deps
- fix the config file
- Import apache-mod_security2



* Tue Jul 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.rc2.0mdk
- initial Mandriva package
